View Issue Details

IDProjectCategoryView StatusLast Update
0006581mantisbtfeaturepublic2018-11-23 03:05
Reporterralfebert Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
Product Version1.0.0rc4 
Target VersionFixed in Version 
Summary0006581: Summary vs. Change Log entry
Description

When using the change log feature of mantis, I have the need to revise the bug summary quite often when I resolved the issue so the entry in the change log is very expressive for the users reading the change log. Probably this should be a completely different field based on the content of the summary because a descriptive issue summary would be something like "notification doesn't work", while the change log entry could be something like "Notification fixed for users using Firefox" for example.
So it would be nice if such a changelog info could be entered when resolving the issue and if it would be independent from the issue summary.

TagsNo tags attached.

Activities

Starbuck

Starbuck

2018-11-22 20:51

reporter   ~0060998

This is only about 12 years late but I'll add a +1 here.
The statement of an issue by an end-user can be very "course" while the description of a resolution should be more refined. As stated by @ralfebert most tickets have a description/resolution like

  • Foo button doesn't work
  • Fixed the Foo button in the Bar screen to activate when the Baz field is empty

Just look at the summary for this ticket: "Summary vs. Change Log entry". That's hardly a good changelog description if this ticket is processed, where the resolution would be more like "Added Management option to allow selection of any field (including User-Defined) for the Changelog description."

atrol

atrol

2018-11-23 03:04

developer   ~0061000

You could create a custom field of type textarea and write a custom_function_override_changelog_print_issue to get what you are asking for.

Issue History

Date Modified Username Field Change
2006-01-11 20:13 ralfebert New Issue
2018-11-22 20:51 Starbuck Note Added: 0060998
2018-11-23 03:04 atrol Note Added: 0061000
2018-11-23 03:05 atrol Severity minor => feature